import { ColumnDef } from "@tanstack/react-table";
import { Site } from "@/types";
import { Button } from "@/Components/ui/button";
import { router } from "@inertiajs/react";

export const columns: ColumnDef<Site>[] = [
    {
        accessorKey: "site_name",
        header: "Site Name",
    },
    {
        accessorKey: "total_impression",
        // accessorKey: "impression",
        header: "Total Impression",
        cell: ({ row }) => {
            const site = row.original;
            return <div>{site.total_impression.toLocaleString()}</div>;
        },
    },
    {
        // accessorKey: "ecpm",
        accessorKey: "total_ecpm",
        header: "Average Ecpm",
        cell: ({ row }) => {
            const site = row.original;
            return <div>$ {site.total_ecpm}</div>;
        },
    },
    {
        // accessorKey:"revenue",
        accessorKey: "total_clicks",
        header: "Total Clicks",
        cell: ({ row }) => {
            const site = row.original;
            return <div>{site.total_clicks.toLocaleString()}</div>;
        },
    },
    {
        // accessorKey:"revenue",
        accessorKey: "total_requests",
        header: "Total Requests",
        cell: ({ row }) => {
            const site = row.original;
            return <div>{site.total_requests.toLocaleString()}</div>;
        },
    },
    {
        accessorKey: "total_revenue",
        header: "Total Revenue",
        cell: ({ row }) => {
            const site = row.original;
            return <div>$ {site.total_revenue.toLocaleString()}</div>;
        },
    },
    {
        accessorKey: "calculated_total_revenue",
        header: "Calculated Total Revenue",
        cell: ({ row }) => {
            const site = row.original;
            return (
                <div>$ {site.calculated_total_revenue.toLocaleString()}</div>
            );
        },
    },

    {
        accessorKey: "",
        header: "Action",
        cell: ({ row }) => {
            const site = row.original;
            return (
                <div className="flex items-center space-x-2">
                    <Button
                        onClick={() =>
                            router.get(route("group.by.site", site.site_name))
                        }
                    >
                        View
                    </Button>
                </div>
            );
        },
    },
];
